coin_errors(3)

NAME
coin_errors - Error Handling Classes

 - The error classes are static classes that contain a callback pointer for handling errors of the given type.

SYNOPSIS

  Classes
class SoDebugError
The SoDebugError class is the internal debugging message passing mechanism.
class SoError
The SoError class is the base class for all the error handling classes.
class SoMemoryError
The SoMemoryError class is used to inform of problems with memory allocation.
class SoReadError
The SoReadError class is used during model import operations.

Detailed Description

The error classes are static classes that contain a callback pointer for handling errors of the given type. Coin has default handlers for displaying all the types, but these can be overridden by applications by setting other callbacks.

Author

Generated automatically by Doxygen for Coin from the source code.